Subject: Re: [PATCH net-next] ethtool: linkstate: add a statistic for PHY down events

From: Jakub Kicinski <[email-masked]>
Date: Wed, 26 Oct 2022 09:10:15 -0700

On Wed, 26 Oct 2022 14:19:08 +0200 Andrew Lunn wrote:
> You might want to consider a generic implementation in phylib.

Would bumping a counter in phy_link_down() be suitable?
I'm slightly unsure about the cable test behavior but 
I think increments during cable tests are quite fair.

> You should then have over 60 drivers implementing this, enough
> momentum it might actually get used.

Depends on your definition of "get used", I can guarantee it will 
get used according to my definition :)